Subject: bug#52807: Guix home executables are not executable

From: "Nick Zalutskiy" <[email-masked]>
Date: Sun, 26 Dec 2021 12:03:30 -0500

I'd like to use `guix home` to symlink an executable into my home directory. 

Following simple configuration stored at `~/.dotfiles/home-configuration.scm`

> (use-modules
>   (gnu home)
>   (gnu packages)
>   (gnu home services)
>   (gnu services)
>   (guix gexp)
>   (gnu home services shells))
> 
> (home-environment
>   (services
>     (list (service
>             home-bash-service-type
>             (home-bash-configuration
>           (guix-defaults? #t)))
>       (simple-service 'my-files
>               home-files-service-type
>               `(("run" ,(local-file "run")))))))

`~/.dotfiles/run` is an executable file, after home reconfigure a `~/.run` symlink is created, however the file it is pointing to does _not_ have the execute bit set.

As a result, when I try to execute `~/.run` file I get a "Permission denied" error.

Thank you,

-Nick